! Tests the JUMP intrinsic.
!
! Version: $Id: test_jump.mm,v 1.1 2011/05/31 20:41:32 hdk Exp $
!
startmacro
  switch INTERACTIVE interAct GET DEF=TRUE
  switch BASELINE    baseline GET DEF=FALSE

  result test 1

  call incBy10
  assert/text="^reg.main.name: call increments to ^test" test eq 11

  info "This will print a deprecation warning..."
  jump incBy10
  assert/text="^reg.main.name: jump increments to ^test" test eq 21

endmacro


!**************************************************************************************************!
procedure incBy10
!  Each time called, increment by 10
  result test test+10
return
